test-cloud
latest
false
- 基本情報
- 認証
- 範囲と権限
- プラットフォーム管理 API
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。
新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
Test Cloud API ガイド
Use this endpoint to retrieve a daily breakdown of consumption by service for a specific tenant.
API エンドポイント
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/daily-consumption-by-service
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Test Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
要求ヘッダー
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
注:
{access_token}を取得するには、必ずこちらで説明する ROPC の方法で認証を行ってください。
パス パラメーター
| パス パラメーター | データ型 | 説明 |
|---|---|---|
organizationId (必須) | 文字列 (GUID) | テナントが存在する組織の ID。 |
要求本文
The request body specifies the tenant, date range, consumable code, and optional filters. For a detailed list of consumable codes, refer to Consumables.
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"folderKeys": ["string"]
}
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"folderKeys": ["string"]
}
注:
startDateandendDateare Unix timestamps in milliseconds.aggregateByOwnershipis optional (default:false). When set totrue, consumption is aggregated by the folder that owns the process rather than where it ran.folderKeysis optional. Provide a list of folder GUIDs to filter results to specific folders only.
応答
200 OK
Returns a list of daily consumption records grouped by service for the specified tenant.
要求の例
呼び出しは次の例のようになります (cURL)。
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/daily-consumption-by-service' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/daily-consumption-by-service' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
Here's the response body for a successful daily consumption retrieval:
{
"items": [
{
"date": "2024-01-15",
"service": "string",
"consumedAmount": 0
}
]
}
{
"items": [
{
"date": "2024-01-15",
"service": "string",
"consumedAmount": 0
}
]
}